/* BLOCK: Form */
.block-faqs .main-wrapper {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 1.25rem;
}

.block-faqs .faqs-wrapper {
    grid-column: span 2;
}

.block-faqs .main-wrapper .text-wrapper .text-content {
    padding-right: 7.6875rem;
    position: sticky;
    top: 12.5rem;
}

.block-faqs .faqs-wrapper .accordion:last-child {
    border: 0;
}

.block-faqs .faqs-wrapper .accordion .ac-trigger {
    padding-block: 2.5rem;
    align-items: baseline;
    gap: 2rem;
}

.block-faqs .faqs-wrapper .accordion:first-of-type .ac-trigger {
    padding-top: 0;
}

.block-faqs .faqs-wrapper .accordion:last-of-type .ac-trigger {
    padding-bottom: 0;
}

.block-faqs .faqs-wrapper .accordion:last-of-type .ac-state:checked ~ .ac-content .ac-content-inner {
    padding-block: 2.5rem 0;
}

.block-faqs .faqs-wrapper .cta-buttons {
    padding-top: 2.5rem;
}

.block-faqs .faqs-wrapper .accordion .ac-icon::after,
.block-faqs .faqs-wrapper .accordion .ac-icon::before {
    content: none;
}

.block-faqs .faqs-wrapper .accordion .ac-icon {
    width: 1.625rem;
    height: 0.875rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.block-faqs .faqs-wrapper .accordion .ac-icon svg {
    width: 100%;
    height: 100%;
    color: var(--c-primary);
    transition: transform 0.3s ease;
}

.block-faqs .faqs-wrapper .ac-state:checked + .ac-trigger .ac-icon svg {
    transform: rotate(180deg);
}

@media screen and (width <= 620px) {
    .block-faqs .main-wrapper {
        display: flex;
        flex-direction: column;
        gap: 3.125rem;
    }

    .block-faqs .faqs-wrapper .accordion .ac-trigger {
        padding-block: 1.875rem;
    }

    .block-faqs .faqs-wrapper .accordion:last-of-type .ac-state:checked ~ .ac-content .ac-content-inner {
        padding-top: 1.875rem;
    }

    .block-faqs .faqs-wrapper .accordion .ac-state:checked ~ .ac-content .ac-content-inner {
        padding-bottom: 1.875rem;
    }
    
    .block-faqs .faqs-wrapper .cta-buttons {
        padding-top: 1.875rem;
    }

    .block-faqs .faqs-wrapper .accordion .ac-icon {
        width: 0.875rem;
        height: 0.5rem;
        transform: translateY(-2px);
    }

    .block-faqs .main-wrapper .text-wrapper .text-content {
        padding-right: 0;
        position: static;
    } 
}